/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/awips2/httpd_pypies/etc/httpd"
#define DEFAULT_EXP_EXEC_PREFIX "/awips2/httpd_pypies/usr"
#define DEFAULT_REL_EXEC_PREFIX "/awips2/httpd_pypies/usr"
#define DEFAULT_EXP_BINDIR "/awips2/httpd_pypies/usr/bin"
#define DEFAULT_REL_BINDIR "/awips2/httpd_pypies/usr/bin"
#define DEFAULT_EXP_SBINDIR "/awips2/httpd_pypies/usr/sbin"
#define DEFAULT_REL_SBINDIR "/awips2/httpd_pypies/usr/sbin"
#define DEFAULT_EXP_LIBEXECDIR "/awips2/httpd_pypies/usr/lib64/httpd/modules"
#define DEFAULT_REL_LIBEXECDIR "/awips2/httpd_pypies/usr/lib64/httpd/modules"
#define DEFAULT_EXP_MANDIR "/awips2/httpd_pypies/usr/share/man"
#define DEFAULT_REL_MANDIR "/awips2/httpd_pypies/usr/share/man"
#define DEFAULT_EXP_SYSCONFDIR "/awips2/httpd_pypies/etc/httpd/conf"
#define DEFAULT_REL_SYSCONFDIR "conf"
#define DEFAULT_EXP_DATADIR "/awips2/httpd_pypies/var/www"
#define DEFAULT_REL_DATADIR "/awips2/httpd_pypies/var/www"
#define DEFAULT_EXP_INSTALLBUILDDIR "/awips2/httpd_pypies/usr/lib64/httpd/build"
#define DEFAULT_REL_INSTALLBUILDDIR "/awips2/httpd_pypies/usr/lib64/httpd/build"
#define DEFAULT_EXP_ERRORDIR "/awips2/httpd_pypies/var/www/error"
#define DEFAULT_REL_ERRORDIR "/awips2/httpd_pypies/var/www/error"
#define DEFAULT_EXP_ICONSDIR "/awips2/httpd_pypies/var/www/icons"
#define DEFAULT_REL_ICONSDIR "/awips2/httpd_pypies/var/www/icons"
#define DEFAULT_EXP_HTDOCSDIR "/awips2/httpd_pypies/var/www/html"
#define DEFAULT_REL_HTDOCSDIR "/awips2/httpd_pypies/var/www/html"
#define DEFAULT_EXP_MANUALDIR "/awips2/httpd_pypies/var/www/manual"
#define DEFAULT_REL_MANUALDIR "/awips2/httpd_pypies/var/www/manual"
#define DEFAULT_EXP_CGIDIR "/awips2/httpd_pypies/var/www/cgi-bin"
#define DEFAULT_REL_CGIDIR "/awips2/httpd_pypies/var/www/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/awips2/httpd_pypies/usr/include/httpd"
#define DEFAULT_REL_INCLUDEDIR "/awips2/httpd_pypies/usr/include/httpd"
#define DEFAULT_EXP_LOCALSTATEDIR "/var"
#define DEFAULT_REL_LOCALSTATEDIR "/var"
#define DEFAULT_EXP_RUNTIMEDIR "/var/run"
#define DEFAULT_REL_RUNTIMEDIR "/var/run"
#define DEFAULT_EXP_LOGFILEDIR "/var/log/httpd"
#define DEFAULT_REL_LOGFILEDIR "/var/log/httpd"
#define DEFAULT_EXP_PROXYCACHEDIR "/var/cache/httpd/cache-root"
#define DEFAULT_REL_PROXYCACHEDIR "/var/cache/httpd/cache-root"

#endif /* AP_CONFIG_LAYOUT_H */
